<?php

/**
 * return the stats data
 *
 * @return array
 */
function package_quiqqer_sensor_ajax_data($sensorId)
{
    $Manager = new \QUI\Sensor\Manager();
    $Sensor  = $Manager->getSensorById( $sensorId );

    if ( !$Sensor ) {
        throw new \QUI\Exception( 'Sensor not found', 404 );
    }

    return $Sensor->getData();
}

\QUI::$Ajax->register(
    'package_quiqqer_sensor_ajax_data',
    array( 'sensorId' ),
    'Permission::checkAdminUser'
);
