<?php

/**
 * return the data
 * @return array
 */
function package_quiqqer_sensor_ajax_get($sensorId)
{
    if ( !isset( $sensorId ) ) {
        throw new \QUI\Exception( 'Sensor not found', 404 );
    }

    $Manager = new \QUI\Sensor\Manager();
    $Sensor  = $Manager->getSensorById( $sensorId );

    if ( !$Sensor ) {
        throw new \QUI\Exception( 'Sensor not found', 404 );
    }

    return $Sensor->toArray();
}

\QUI::$Ajax->register(
    'package_quiqqer_sensor_ajax_get',
    array( 'sensorId' ),
    'Permission::checkAdminUser'
);
